package com.ruoyi.framework.system.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import java.io.Serializable;
import java.util.Date;

/**
 * 病患信息对象 Patients
 * 
 * @author ruoyi
 * @date 2024-11-13
 */
public class PatientsVo implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** 病患唯一标识 */
    private Long total;

    /** 病患分类 */
    @Excel(name = "病患分类")
    private String Classification;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date UpdatedAt;


    public void setClassification(String Classification) 
    {
        this.Classification = Classification;
    }

    public String getClassification() 
    {
        return Classification;
    }

    public Long getTotal() {
        return total;
    }

    public void setTotal(Long total) {
        this.total = total;
    }

    public Date getUpdatedAt() {
        return UpdatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        UpdatedAt = updatedAt;
    }

    @Override
    public String toString() {
        final StringBuffer sb = new StringBuffer("PatientsVo{");
        sb.append("total=").append(total);
        sb.append(", Classification='").append(Classification).append('\'');
        sb.append('}');
        return sb.toString();
    }
}
